#pragma once

#include <stdint.h>

#include "host.h"
#include "parsing.h"
#include "response.h"
#include "scan.h"

struct thread {
	uint16_t port_start;
	uint16_t port_end;
	char *dest_addr;
	e_scantype type;
	uint8_t max_retries;
	uint8_t ttl;
	struct host host;
	struct response *responses;
};

void *routine(void *p_data);
int create_threads(const struct option_lst *options, char *ip_addr,
                   struct response *responses);
